Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IStyle

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.value.birt.BIRTConstants, org.eclipse.birt.report.engine.css.engine.value.birt.BIRTValueConstants, org.w3c.dom.css.CSS2Properties, org.eclipse.birt.report.engine.css.engine.value.css.CSSConstants, org.w3c.dom.css.CSSStyleDeclaration, org.eclipse.birt.report.engine.css.engine.value.css.CSSValueConstants, org.eclipse.birt.report.engine.css.engine.StyleConstants

    public interface IStyle

extends org.w3c.dom.css.CSSStyleDeclaration, org.eclipse.birt.report.engine.css.engine.StyleConstants, org.w3c.dom.css.CSS2Properties, org.eclipse.birt.report.engine.css.engine.value.css.CSSConstants, org.eclipse.birt.report.engine.css.engine.value.css.CSSValueConstants, org.eclipse.birt.report.engine.css.engine.value.birt.BIRTConstants, org.eclipse.birt.report.engine.css.engine.value.birt.BIRTValueConstants

Provides the interfaces for the ROM style the properties must be string as the user may change them in script.

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.css.engine.StyleConstants
`NUMBER_OF_STYLE, STYLE_BACKGROUND_ATTACHMENT, STYLE_BACKGROUND_COLOR, STYLE_BACKGROUND_HEIGHT, STYLE_BACKGROUND_IMAGE, STYLE_BACKGROUND_POSITION_X, STYLE_BACKGROUND_POSITION_Y, STYLE_BACKGROUND_REPEAT, STYLE_BACKGROUND_WIDTH, STYLE_BORDER_BOTTOM_COLOR, STYLE_BORDER_BOTTOM_STYLE, STYLE_BORDER_BOTTOM_WIDTH, STYLE_BORDER_LEFT_COLOR, STYLE_BORDER_LEFT_STYLE, STYLE_BORDER_LEFT_WIDTH, STYLE_BORDER_RIGHT_COLOR, STYLE_BORDER_RIGHT_STYLE, STYLE_BORDER_RIGHT_WIDTH, STYLE_BORDER_TOP_COLOR, STYLE_BORDER_TOP_STYLE, STYLE_BORDER_TOP_WIDTH, STYLE_CAN_SHRINK, STYLE_COLOR, STYLE_DATA_FORMAT, STYLE_DIRECTION, STYLE_DISPLAY, STYLE_FONT_FAMILY, STYLE_FONT_SIZE, STYLE_FONT_STYLE, STYLE_FONT_VARIANT, STYLE_FONT_WEIGHT, STYLE_LETTER_SPACING, STYLE_LINE_HEIGHT, STYLE_MARGIN_BOTTOM, STYLE_MARGIN_LEFT, STYLE_MARGIN_RIGHT, STYLE_MARGIN_TOP, STYLE_MASTER_PAGE, STYLE_NUMBER_ALIGN, STYLE_ORPHANS, STYLE_PADDING_BOTTOM, STYLE_PADDING_LEFT, STYLE_PADDING_RIGHT, STYLE_PADDING_TOP, STYLE_PAGE_BREAK_AFTER, STYLE_PAGE_BREAK_BEFORE, STYLE_PAGE_BREAK_INSIDE, STYLE_SHOW_IF_BLANK, STYLE_TEXT_ALIGN, STYLE_TEXT_INDENT, STYLE_TEXT_LINETHROUGH, STYLE_TEXT_OVERLINE, STYLE_TEXT_TRANSFORM, STYLE_TEXT_UNDERLINE, STYLE_VERTICAL_ALIGN, STYLE_VISIBLE_FORMAT, STYLE_WHITE_SPACE, STYLE_WIDOWS, STYLE_WORD_SPACING`

Fields inherited from interface org.eclipse.birt.report.engine.css.engine.value.css.CSSValueConstants
`ACTIVEBORDER_VALUE, ACTIVECAPTION_VALUE, ALWAYS_VALUE, APPWORKSPACE_VALUE, AQUA_RGB_VALUE, AQUA_VALUE, AUTO_VALUE, AVOID_VALUE, BACKGROUND_VALUE, BASELINE_VALUE, BLACK_RGB_VALUE, BLACK_VALUE, BLINK_VALUE, BLOCK_VALUE, BLUE_RGB_VALUE, BLUE_VALUE, BOLD_VALUE, BOLDER_VALUE, BOTTOM_VALUE, BUTTONFACE_VALUE, BUTTONHIGHLIGHT_VALUE, BUTTONSHADOW_VALUE, BUTTONTEXT_VALUE, CAPITALIZE_VALUE, CAPTIONTEXT_VALUE, CENTER_VALUE, COLLAPSE_VALUE, CONTAIN_VALUE, COVER_VALUE, CROSSHAIR_VALUE, CURSIVE_VALUE, DASHED_VALUE, DEFAULT_VALUE, DOTTED_VALUE, DOUBLE_VALUE, E_RESIZE_VALUE, EMBED_VALUE, FANTASY_VALUE, FIXED_VALUE, FUCHSIA_RGB_VALUE, FUCHSIA_VALUE, GRAY_RGB_VALUE, GRAY_VALUE, GRAYTEXT_VALUE, GREEN_RGB_VALUE, GREEN_VALUE, GROOVE_VALUE, HIDDEN_VALUE, HIGHLIGHT_VALUE, HIGHLIGHTTEXT_VALUE, INACTIVEBORDER_VALUE, INACTIVECAPTION_VALUE, INACTIVECAPTIONTEXT_VALUE, INFOBACKGROUND_VALUE, INFOTEXT_VALUE, INHERIT_VALUE, INLINE_BLOCK_VALUE, INLINE_TABLE_VALUE, INLINE_VALUE, INSET_VALUE, ITALIC_VALUE, JUSTIFY_VALUE, LARGE_VALUE, LARGER_VALUE, LEFT_VALUE, LIGHTER_VALUE, LIME_RGB_VALUE, LIME_VALUE, LINE_THROUGH_VALUE, LIST_ITEM_VALUE, LOWERCASE_VALUE, LTR_VALUE, MAROON_RGB_VALUE, MAROON_VALUE, MEDIUM_VALUE, MENU_VALUE, MENUTEXT_VALUE, MIDDLE_VALUE, MONOSPACE_VALUE, MOVE_VALUE, N_RESIZE_VALUE, NAVY_RGB_VALUE, NAVY_VALUE, NE_RESIZE_VALUE, NO_REPEAT_VALUE, NONE_VALUE, NORMAL_VALUE, NOWRAP_VALUE, NULL_STRING_VALUE, NUMBER_0, NUMBER_100, NUMBER_128, NUMBER_165, NUMBER_192, NUMBER_200, NUMBER_255, NUMBER_300, NUMBER_400, NUMBER_500, NUMBER_600, NUMBER_700, NUMBER_800, NUMBER_900, NW_RESIZE_VALUE, OBLIQUE_VALUE, OLIVE_RGB_VALUE, OLIVE_VALUE, ORANGE_RGB_VALUE, ORANGE_VALUE, OUTSET_VALUE, OVERLINE_VALUE, PERCENT_0, PERCENT_100, PERCENT_50, POINTER_VALUE, PRE_LINE_VALUE, PRE_VALUE, PRE_WRAP_VALUE, PURPLE_RGB_VALUE, PURPLE_VALUE, RED_RGB_VALUE, RED_VALUE, REPEAT_VALUE, REPEAT_X_VALUE, REPEAT_Y_VALUE, RIDGE_VALUE, RIGHT_VALUE, RTL_VALUE, RUN_IN_VALUE, S_RESIZE_VALUE, SANS_SERIF_VALUE, SCROLL_VALUE, SCROLLBAR_VALUE, SE_RESIZE_VALUE, SERIF_VALUE, SILVER_RGB_VALUE, SILVER_VALUE, SMALL_CAPS_VALUE, SMALL_VALUE, SMALLER_VALUE, SOLID_VALUE, SUB_VALUE, SUPER_VALUE, SW_RESIZE_VALUE, TABLE_CAPTION_VALUE, TABLE_CELL_VALUE, TABLE_COLUMN_GROUP_VALUE, TABLE_COLUMN_VALUE, TABLE_FOOTER_GROUP_VALUE, TABLE_HEADER_GROUP_VALUE, TABLE_ROW_GROUP_VALUE, TABLE_ROW_VALUE, TABLE_VALUE, TEAL_RGB_VALUE, TEAL_VALUE, TEXT_BOTTOM_VALUE, TEXT_TOP_VALUE, TEXT_VALUE, THICK_VALUE, THIN_VALUE, THREEDDARKSHADOW_VALUE, THREEDFACE_VALUE, THREEDHIGHLIGHT_VALUE, THREEDLIGHTSHADOW_VALUE, THREEDSHADOW_VALUE, TOP_VALUE, TRANSPARENT_VALUE, UNDERLINE_VALUE, UPPERCASE_VALUE, VISIBLE_VALUE, W_RESIZE_VALUE, WAIT_VALUE, WHITE_RGB_VALUE, WHITE_VALUE, WINDOW_VALUE, WINDOWFRAME_VALUE, WINDOWTEXT_VALUE, X_LARGE_VALUE, X_SMALL_VALUE, XX_LARGE_VALUE, XX_SMALL_VALUE, YELLOW_RGB_VALUE, YELLOW_VALUE`

Fields inherited from interface org.eclipse.birt.report.engine.css.engine.value.birt.BIRTConstants
`BIRT_ALL_VALUE, BIRT_BACKGROUND_POSITION_X_PROPERTY, BIRT_BACKGROUND_POSITION_Y_PROPERTY, BIRT_CAN_SHRINK_PROPERTY, BIRT_DATE_FORMAT_PROPERTY, BIRT_DATE_TIME_FORMAT_PROPERTY, BIRT_FALSE_VALUE, BIRT_MASTER_PAGE_PROPERTY, BIRT_NUMBER_ALIGN_PROPERTY, BIRT_NUMBER_FORMAT_PROPERTY, BIRT_SHOW_IF_BLANK_PROPERTY, BIRT_SOFT_VALUE, BIRT_STRING_FORMAT_PROPERTY, BIRT_STYLE_DATA_FORMAT, BIRT_TEXT_LINETHROUGH_PROPERTY, BIRT_TEXT_OVERLINE_PROPERTY, BIRT_TEXT_UNDERLINE_PROPERTY, BIRT_TIME_FORMAT_PROPERTY, BIRT_TRUE_VALUE, BIRT_VISIBLE_FORMAT_PROPERTY`

Fields inherited from interface org.eclipse.birt.report.engine.css.engine.value.birt.BIRTValueConstants
`ALL_VALUE, FALSE_VALUE, SOFT_VALUE, TRUE_VALUE`

Method Summary
`java.lang.String` | `getBackgroundHeight()`
`java.lang.String` | `getBackgroundPositionX()`
`java.lang.String` | `getBackgroundPositionY()`
`java.lang.String` | `getBackgroundWidth()`
`java.lang.String` | `getCanShrink()`
`java.lang.String` | `getCssText(int index)`
`org.eclipse.birt.report.engine.css.engine.value.DataFormatValue` | `getDataFormat()`
`java.lang.String` | `getDateFormat()`
`java.lang.String` | `getDateTimeFormat()`
`java.lang.String` | `getMasterPage()`
`java.lang.String` | `getNumberAlign()`
`java.lang.String` | `getNumberFormat()`
`org.w3c.dom.css.CSSValue` | `getProperty(int index)`
`java.lang.String` | `getShowIfBlank()`
`java.lang.String` | `getStringFormat()`
`java.lang.String` | `getTextLineThrough()`
`java.lang.String` | `getTextOverline()`
`java.lang.String` | `getTextUnderline()`
`java.lang.String` | `getTimeFormat()`
`java.lang.String` | `getVisibleFormat()`
`boolean` | `isEmpty()`
`void` | `read(java.io.DataInputStream in)`
`void` | `setBackgroundPositionX(java.lang.String x)`
`void` | `setBackgroundPositionY(java.lang.String y)`
`void` | `setCanShrink(java.lang.String shrink)`
`void` | `setCssText(int index, java.lang.String value)`
`void` | `setDataFormat(org.eclipse.birt.report.engine.css.engine.value.DataFormatValue value)`
`void` | `setDateFormat(java.lang.String format)`
`void` | `setMasterPage(java.lang.String page)`
`void` | `setNumberAlign(java.lang.String align)`
`void` | `setNumberFormat(java.lang.String format)`
`void` | `setProperties(IStyle style)`
`void` | `setProperty(int index, org.w3c.dom.css.CSSValue value)`
`void` | `setShowIfBlank(java.lang.String blank)`
`void` | `setStringFormat(java.lang.String format)`
`void` | `setTextLineThrough(java.lang.String through)`
`void` | `setTextOverline(java.lang.String overline)`
`void` | `setTextUnderline(java.lang.String underline)`
`void` | `setVisibleFormat(java.lang.String visibility)`
`void` | `write(java.io.DataOutputStream out)`

Methods inherited from interface org.w3c.dom.css.CSSStyleDeclaration
`getCssText, getLength, getParentRule, getPropertyCSSValue, getPropertyPriority, getPropertyValue, item, removeProperty, setCssText, setProperty`

Methods inherited from interface org.w3c.dom.css.CSS2Properties
`getAzimuth, getBackground, getBackgroundAttachment, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderBottom, getBorderBottomColor, getBorderBottomStyle, getBorderBottomWidth, getBorderCollapse, getBorderColor, getBorderLeft, getBorderLeftColor, getBorderLeftStyle, getBorderLeftWidth, getBorderRight, getBorderRightColor, getBorderRightStyle, getBorderRightWidth, getBorderSpacing, getBorderStyle, getBorderTop, getBorderTopColor, getBorderTopStyle, getBorderTopWidth, getBorderWidth, getBottom, getCaptionSide, getClear, getClip, getColor, getContent, getCounterIncrement, getCounterReset, getCssFloat, getCue, getCueAfter, getCueBefore, getCursor, getDirection, getDisplay, getElevation, getEmptyCells, getFont, getFontFamily, getFontSize, getFontSizeAdjust, getFontStretch, getFontStyle, getFontVariant, getFontWeight, getHeight, getLeft, getLetterSpacing, getLineHeight, getListStyle, getListStyleImage, getListStylePosition, getListStyleType, getMargin, getMarginBottom, getMarginLeft, getMarginRight, getMarginTop, getMarkerOffset, getMarks, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getOrphans, getOutline, getOutlineColor, getOutlineStyle, getOutlineWidth, getOverflow, getPadding, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPage, getPageBreakAfter, getPageBreakBefore, getPageBreakInside, getPause, getPauseAfter, getPauseBefore, getPitch, getPitchRange, getPlayDuring, getPosition, getQuotes, getRichness, getRight, getSize, getSpeak, getSpeakHeader, getSpeakNumeral, getSpeakPunctuation, getSpeechRate, getStress, getTableLayout, getTextAlign, getTextDecoration, getTextIndent, getTextShadow, getTextTransform, getTop, getUnicodeBidi, getVerticalAlign, getVisibility, getVoiceFamily, getVolume, getWhiteSpace, getWidows, getWidth, getWordSpacing, getZIndex, setAzimuth, setBackground, setBackgroundAttachment, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderBottom, setBorderBottomColor, setBorderBottomStyle, setBorderBottomWidth, setBorderCollapse, setBorderColor, setBorderLeft, setBorderLeftColor, setBorderLeftStyle, setBorderLeftWidth, setBorderRight, setBorderRightColor, setBorderRightStyle, setBorderRightWidth, setBorderSpacing, setBorderStyle, setBorderTop, setBorderTopColor, setBorderTopStyle, setBorderTopWidth, setBorderWidth, setBottom, setCaptionSide, setClear, setClip, setColor, setContent, setCounterIncrement, setCounterReset, setCssFloat, setCue, setCueAfter, setCueBefore, setCursor, setDirection, setDisplay, setElevation, setEmptyCells, setFont, setFontFamily, setFontSize, setFontSizeAdjust, setFontStretch, setFontStyle, setFontVariant, setFontWeight, setHeight, setLeft, setLetterSpacing, setLineHeight, setListStyle, setListStyleImage, setListStylePosition, setListStyleType, setMargin, setMarginBottom, setMarginLeft, setMarginRight, setMarginTop, setMarkerOffset, setMarks, setMaxHeight, setMaxWidth, setMinHeight, setMinWidth, setOrphans, setOutline, setOutlineColor, setOutlineStyle, setOutlineWidth, setOverflow, setPadding, setPaddingBottom, setPaddingLeft, setPaddingRight, setPaddingTop, setPage, setPageBreakAfter, setPageBreakBefore, setPageBreakInside, setPause, setPauseAfter, setPauseBefore, setPitch, setPitchRange, setPlayDuring, setPosition, setQuotes, setRichness, setRight, setSize, setSpeak, setSpeakHeader, setSpeakNumeral, setSpeakPunctuation, setSpeechRate, setStress, setTableLayout, setTextAlign, setTextDecoration, setTextIndent, setTextShadow, setTextTransform, setTop, setUnicodeBidi, setVerticalAlign, setVisibility, setVoiceFamily, setVolume, setWhiteSpace, setWidows, setWidth, setWordSpacing, setZIndex`

Method Detail

### getBackgroundPositionX

    java.lang.String getBackgroundPositionX()

### getBackgroundPositionY

    java.lang.String getBackgroundPositionY()

### getTextUnderline

    java.lang.String getTextUnderline()

### getTextOverline

    java.lang.String getTextOverline()

### getTextLineThrough

    java.lang.String getTextLineThrough()

### getMasterPage

    java.lang.String getMasterPage()

### getShowIfBlank

    java.lang.String getShowIfBlank()

### getCanShrink

    java.lang.String getCanShrink()

### getStringFormat

    java.lang.String getStringFormat()

### getNumberFormat

    java.lang.String getNumberFormat()

### getDateFormat

    java.lang.String getDateFormat()

### getDateTimeFormat

    java.lang.String getDateTimeFormat()

### getTimeFormat

    java.lang.String getTimeFormat()

### getNumberAlign

    java.lang.String getNumberAlign()

### getVisibleFormat

    java.lang.String getVisibleFormat()

### setBackgroundPositionX

    void setBackgroundPositionX(java.lang.String x)
                                throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setBackgroundPositionY

    void setBackgroundPositionY(java.lang.String y)
                                throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setTextUnderline

    void setTextUnderline(java.lang.String underline)
                          throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setTextOverline

    void setTextOverline(java.lang.String overline)
                         throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setTextLineThrough

    void setTextLineThrough(java.lang.String through)
                            throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setMasterPage

    void setMasterPage(java.lang.String page)
                       throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setShowIfBlank

    void setShowIfBlank(java.lang.String blank)
                        throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setCanShrink

    void setCanShrink(java.lang.String shrink)
                      throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setStringFormat

    void setStringFormat(java.lang.String format)
                         throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setNumberFormat

    void setNumberFormat(java.lang.String format)
                         throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setDateFormat

    void setDateFormat(java.lang.String format)
                       throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setNumberAlign

    void setNumberAlign(java.lang.String align)
                        throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setVisibleFormat

    void setVisibleFormat(java.lang.String visibility)
                          throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getProperty

    org.w3c.dom.css.CSSValue getProperty(int index)

### setProperty

    void setProperty(int index,
                     org.w3c.dom.css.CSSValue value)

### setProperties

    void setProperties(IStyle style)

### getCssText

    java.lang.String getCssText(int index)

### setCssText

    void setCssText(int index,
                    java.lang.String value)
                    throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### isEmpty

    boolean isEmpty()

### write

    void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    void read(java.io.DataInputStream in)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBackgroundHeight

    java.lang.String getBackgroundHeight()

### getBackgroundWidth

    java.lang.String getBackgroundWidth()

### getDataFormat

    org.eclipse.birt.report.engine.css.engine.value.DataFormatValue getDataFormat()

### setDataFormat

    void setDataFormat(org.eclipse.birt.report.engine.css.engine.value.DataFormatValue value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.